# Copyright (C) 2015  Ruby-GNOME2 Project Team
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

module Gtk
  class TreeView
    alias_method :get_path_at_pos_raw, :get_path_at_pos
    def get_path_at_pos(x, y)
      found, *info = get_path_at_pos_raw(x, y)
      if found
        info
      else
        nil
      end
    end

    alias_method :enable_model_drag_source_raw, :enable_model_drag_source
    def enable_model_drag_source(flags, targets, actions)
      targets = ensure_drag_targets(targets)
      enable_model_drag_source_raw(flags, targets, actions)
    end

    alias_method :enable_model_drag_dest_raw, :enable_model_drag_dest
    def enable_model_drag_dest(targets, actions)
      targets = ensure_drag_targets(targets)
      enable_model_drag_dest_raw(targets, actions)
    end
  end
end
